#!/usr/bin/perl

require 5.000 ;	# This is a perl 5.0 script

require MDL_sdf ;

my $record = 0 ;

while( 1 )
{
	my $sdf = MDL_sdf_non_parsed_molecule->readFromInput() ;
	defined $sdf || last ;
	$record ++ ;
	$sdf->write() ;
}

printf STDERR "rec. %4d\n", $record ;
